package com.github.niefy.modules.wx.manage;

import com.github.niefy.common.utils.R;
import com.github.niefy.common.utils.SmsUtils;
import com.github.niefy.common.utils.StringUtils;
import com.github.niefy.modules.wx.entity.SMS;
import com.github.niefy.modules.wx.entity.WxUser;
import com.github.niefy.modules.wx.service.WxUserService;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import java.util.Date;
import java.util.Random;

//参考https://www.jianshu.com/p/a0caa7ff2336
@RestController
@RequestMapping("/sms")
@Api(tags = {"短信-绑定手机号"})
public class SmsController {
    @Autowired
    private WxUserService userService;

    @Autowired
    private SmsUtils smsUtils;

    @PostMapping(value = "/code")
    @ApiOperation(value = "获取短信验证码", notes = "获取短信验证码")
//    @ApiImplicitParam(name = "mobile", value = "手机号码", paramType = "query", required = true, dataType = "String")
    public R getMobileCode(@RequestBody SMS sms) {
        String mobile = sms.getMobile();
        if (StringUtils.isEmpty(mobile)) {
            return R.error("手机号不能为空");
        }
        Random random = new Random();
        StringBuffer smscode = new StringBuffer();
//        smscode.append("123456");
        for (int i = 0; i < 6; i++) {
            smscode.append(random.nextInt(10));
        }
        //发送短信
        String code = smsUtils.sendNoteMessgae(mobile, String.valueOf(smscode));
//        String code = "OK";
        if ("OK".equals(code)) {
            //返回验证码和发送时间
            return R.ok().put("smsCode", String.valueOf(smscode) + new Date().getTime());
        } else {
            return R.error("短信发送失败");
        }
    }

    @ApiOperation(value = "验证短信验证码", notes = "验证短信验证码")
//    @ApiImplicitParams({@ApiImplicitParam(name = "mobile", value = "手机号码", paramType = "query", required = true, dataType = "String"),
//    @ApiImplicitParam(name = "code", value = "验证码", paramType = "query", required = true, dataType = "String")})
    @PostMapping(value = "/verifyCode")
    public R smsLogin(@RequestBody SMS sms) {
        String openId = sms.getOpenId();
        String headimgurl = sms.getHeadimgurl();
        String nickname = sms.getNickname();
        String mobile = sms.getMobile();
        String smsCode = sms.getCode();
        String code_codeTime = sms.getCodeTime();
        String code = code_codeTime.substring(0, 6);
        long codeTime = Long.parseLong(code_codeTime.substring(6));
        if (new Date().getTime() > (codeTime + (5 * 60 * 1000))) {
            return R.error("验证码已过期");
        }
        if (!code.equals(smsCode)) {
            return R.error("验证码错误");
        }
        if (StringUtils.isEmpty(mobile)) {
            return R.error("手机号不能为空");
        }
        //根据手机号码查找是否存在
        WxUser wxUser = userService.findByPhone(mobile);
        if (wxUser != null) {
            return R.error("手机号已绑定");
        } else {
            WxUser wxUsernew = new WxUser();
            wxUsernew.setOpenid(openId);
            wxUsernew.setPhone(mobile);
            wxUsernew.setHeadimgurl(headimgurl);
            wxUsernew.setNickname(nickname);
            userService.saveOrUpdate(wxUsernew);
            return R.ok();
        }
    }

}
